Subject: Re: PCI Post Boot scan

From: Christian Krafft <[email-masked]>
Date: Mon, 15 Sep 2008 12:56:27 +0200

Hi Ayoub,

On Mon, 15 Sep 2008 09:13:23 +0000 (GMT)
ayoub zaki <[email-masked]> wrote:

> 
> Hi all,
> 
> I'm working on a mpc8572ds based board from freescale.
> 
> I have an onboard FPGA (PCI express) that I want to configure from the userspace application with the corresponding "firmware". 
> 
> Only after a configuration that the FPGA shows its PCI nature.
> 
> the problem is that linux has no way to detect the PCI device unless I reboot my board.
> 
> fakephp wouldn't help scince my device is not configured at the boot time.
> 
> Is there any way to do it so ?
> 
> Is it possible to re-initialize the whole pci stack again ?

Does "lspci -M" do the trick ?

> 
> Thanks for any kind help
> 
> Ayoub Zaki
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev

-- 
Cheers,
ck